# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Defined types**

* [`puppet_dump`](#puppet_dump): Print out all the variables in scope using notify
* [`puppet_dump::config`](#puppet_dumpconfig): Dump all parsed config settings
* [`puppet_dump::settings`](#puppet_dumpsettings): Dump the active puppet settings

## Defined types

### puppet_dump

Print out all the variables in scope using notify

#### Examples

##### Performing a dump

```puppet
puppet_dump { "point1": }
```

##### Dump settings to file

```puppet
puppet_dump { "point2":
  save_to => "/tmp/config.txt",
}
```

#### Parameters

The following parameters are available in the `puppet_dump` defined type.

##### `title`

A unique name to identify the position in code that
this dump was made at

##### `save_to`

Data type: `Optional[String]`

If supplied, save debug output to this file

Default value: `undef`

##### `save_mode`

Data type: `String`

Permissions for dump file

Default value: "0640"

### puppet_dump::config

Dump all parsed config settings

#### Examples

##### Perform a dump to the output stream

```puppet
puppet_dump::config { "point1": }
```

##### Dump settings to file

```puppet
puppet_dump::config { "point2":
  save_to => "/tmp/config.txt",
}
```

#### Parameters

The following parameters are available in the `puppet_dump::config` defined type.

##### `title`

Unique reference for this dump

##### `save_to`

Data type: `Optional[String]`

If supplied, save debug output to this file

Default value: `undef`

##### `save_mode`

Data type: `String`

Permissions for dump file

Default value: "0640"

### puppet_dump::settings

Dump the active puppet settings

#### Examples

##### Perform a dump to the output stream

```puppet
puppet_dump::settings { "point1": }
```

##### Dump settings to file

```puppet
puppet_dump::settings { "point2":
  save_to => "/tmp/settings.txt",
}
```

#### Parameters

The following parameters are available in the `puppet_dump::settings` defined type.

##### `title`

Unique reference for this dump

##### `save_to`

Data type: `Optional[String]`

If supplied, save debug output to this file

Default value: `undef`

##### `save_mode`

Data type: `String`

Permissions for dump file

Default value: "0640"

